Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.feedhenry.sdk
Class FHRemote

    java.lang.Object
      com.feedhenry.sdk.FHRemote

All Implemented Interfaces:
  FHAct

Direct Known Subclasses:
  FHActRequest, FHAuthRequest, FHCloudRequest

    public abstract class FHRemote

extends java.lang.Object
implements FHAct

The base class that implements `FHAct`.

Field Summary
`protected static java.lang.String` | `LOG_TAG`
`protected FHActCallback` | `mCallback`
`protected android.content.Context` | `mContext`
`protected java.util.Properties` | `mProperties`
`protected java.lang.String` | `mUDID`
`protected static java.lang.String` | `PATH_PREFIX`

Constructor Summary
`FHRemote(android.content.Context context, java.util.Properties pProps)`

Method Summary
`protected abstract org.apache.http.Header[]` | `buildHeaders(org.apache.http.Header[] pHeaders)`
`void` | `executeAsync()` Execute the request asynchronously.
`void` | `executeAsync(FHActCallback pCallback)` Execute the request asynchronously.
`protected java.lang.String` | `getApiURl()`
`protected abstract java.lang.String` | `getPath()`
`protected abstract JSONObject` | `getRequestArgs()`
`void` | `setCallback(FHActCallback pCallback)` Set the callback function to be executed when the action is finished.
`void` | `setUDID(java.lang.String pUDID)` Set the client unique id (device id) for the request

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATH_PREFIX

    protected static final java.lang.String PATH_PREFIX

See Also:
  Constant Field Values

### LOG_TAG

    protected static java.lang.String LOG_TAG

### mProperties

    protected java.util.Properties mProperties

### mCallback

    protected FHActCallback mCallback

### mUDID

    protected java.lang.String mUDID

### mContext

    protected android.content.Context mContext

Constructor Detail

### FHRemote

    public FHRemote(android.content.Context context,
                    java.util.Properties pProps)

Method Detail

### setUDID

    public void setUDID(java.lang.String pUDID)

  Description copied from interface: `FHAct`
  Set the client unique id (device id) for the request

  Specified by:
    `setUDID` in interface `FHAct`
  Parameters:
    `pUDID` - the unique device id

### executeAsync

    public void executeAsync()
                      throws java.lang.Exception

  Description copied from interface: `FHAct`
  Execute the request asynchronously. Execute the callback function set by `FHAct.setCallback(FHActCallback pCallback)` when the request finishes.

  Specified by:
    `executeAsync` in interface `FHAct`
  Throws:
    `java.lang.Exception`

### executeAsync

    public void executeAsync(FHActCallback pCallback)
                      throws java.lang.Exception

  Description copied from interface: `FHAct`
  Execute the request asynchronously. Execute the pCallback function when it finishes.

  Specified by:
    `executeAsync` in interface `FHAct`
  Parameters:
    `pCallback` - the callback function
  Throws:
    `java.lang.Exception`

### setCallback

    public void setCallback(FHActCallback pCallback)

  Description copied from interface: `FHAct`
  Set the callback function to be executed when the action is finished.

  Specified by:
    `setCallback` in interface `FHAct`
  Parameters:
    `pCallback` - the callback function

### getApiURl

    protected java.lang.String getApiURl()

### getPath

    protected abstract java.lang.String getPath()

### getRequestArgs

    protected abstract JSONObject getRequestArgs()

### buildHeaders

    protected abstract org.apache.http.Header[] buildHeaders(org.apache.http.Header[] pHeaders)
                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD